通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Features - List

列出功能。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/featuresets/{featuresetName}/versions/{featuresetVersion}/features?api-version=2025-12-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/featuresets/{featuresetName}/versions/{featuresetVersion}/features?api-version=2025-12-01&$skip={$skip}&tags={tags}&featureName={featureName}&description={description}&listViewType={listViewType}&pageSize={pageSize}

URI 参数

名称 必需 类型 说明
featuresetName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_]{0,254}$

Azure Machine Learning featuresets 名称。

featuresetVersion
path True

string

推理版本名称。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

subscriptionId
path True

string

minLength: 1

目标订阅的 ID。

workspaceName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$

Azure 机器学习工作区的名称。

api-version
query True

string

minLength: 1

要用于此操作的 API 版本。

$skip
query

string

分页的延续标记。

description
query

string

特征集的描述。

featureName
query

string

要素名称。

listViewType
query

ListViewType

[ListViewType.ActiveOnly, ListViewType.ArchivedOnly, ListViewType.All]用于包括/排除(例如)存档实体的视图类型。

pageSize
query

integer (int32)

页面大小。

tags
query

string

标记名称(可选)的逗号分隔列表。 示例:tag1,tag2=value2

响应

名称 类型 说明
200 OK

FeatureResourceArmPaginatedResult

Azure作已成功完成。

Other Status Codes

ErrorResponse

意外错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 流。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

List Feature.

示例请求

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/featuresets/string/versions/string/features?api-version=2025-12-01&tags=string&featureName=string&description=string

示例响应

{
  "nextLink": "https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/features?api-version=2025-07-01-preview&$skip=2",
  "value": [
    {
      "name": "string",
      "type": "string",
      "id": "string",
      "properties": {
        "description": "string",
        "dataType": "Boolean",
        "featureName": "string",
        "properties": {
          "string": "string"
        },
        "tags": {
          "string": "string"
        }
      },
      "systemData": {
        "createdAt": "2020-01-01T12:34:56.999+00:50",
        "createdBy": "string",
        "createdByType": "Key",
        "lastModifiedAt": "2020-01-01T12:34:56.999+00:50",
        "lastModifiedBy": "string",
        "lastModifiedByType": "ManagedIdentity"
      }
    }
  ]
}

定义

名称 说明
createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

Feature

Azure 资源管理器资源信封。

FeatureDataType

指定类型

FeatureProperties

表示特征的 DTO 对象

FeatureResourceArmPaginatedResult

功能实体的分页列表。

ListViewType

[ListViewType.ActiveOnly, ListViewType.ArchivedOnly, ListViewType.All]用于包括/排除(例如)存档实体的视图类型。

systemData

与创建和上次修改资源相关的元数据。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

Feature

Azure 资源管理器资源信封。

名称 类型 说明
id

string

资源的完全限定资源 ID。 示例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

资源的名称

properties

FeatureProperties

[必需]实体的其他属性。

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

type

string

资源类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

FeatureDataType

指定类型

说明
String
Integer
Long
Float
Double
Binary
Datetime
Boolean

FeatureProperties

表示特征的 DTO 对象

名称 类型 默认值 说明
dataType

FeatureDataType

String

指定类型

description

string

资产说明文本。

featureName

string

指定名称

properties

object

资产属性字典。

tags

object

标记字典。 可以添加、删除和更新标记。

FeatureResourceArmPaginatedResult

功能实体的分页列表。

名称 类型 说明
nextLink

string (uri)

指向下一页项的链接

value

Feature[]

本页的专题项目

ListViewType

[ListViewType.ActiveOnly, ListViewType.ArchivedOnly, ListViewType.All]用于包括/排除(例如)存档实体的视图类型。

说明
ActiveOnly
ArchivedOnly
All

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

资源上次修改的时间戳 (UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。